For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scheduled Flows

List Scheduled Flows

get

Retrieves a paginated list of scheduled flow runs. Can be filtered by status and flow_version_id.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[status]stringOptional

Filter results by status.

filter[flow_version_id]stringOptional

Filter results by flow_version_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowVersion, payloadMetadata, flow, virtualEnvironmentVersion, virtualEnvironmentVersion.virtualEnvironment

sortstringOptional

Sort field. Prefix with - for descending. Available: status, created_at, updated_at, flow_version_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/scheduled-flows
GET /api/v1/scheduled-flows HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "flow_version_id": 1,
      "flow_version": {},
      "virtual_environment_version_id": 1,
      "virtual_environment_version": {},
      "payload_metadata_id": 1,
      "payload_metadata": {},
      "trigger": "API",
      "status": "Draft",
      "flow": {}
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/scheduled-flows",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/scheduled-flows?page=1",
    "last": "https://api.example.com/api/v1/scheduled-flows?page=1",
    "prev": null,
    "next": null
  }
}

Delete All

delete

Permanently deletes all scheduled flow runs for the company.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/scheduled-flows
DELETE /api/v1/scheduled-flows HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Delete Scheduled Flow

delete

Permanently deletes all scheduled flow runs for a specific flow.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/scheduled-flows/{flow}/delete
DELETE /api/v1/scheduled-flows/{flow}/delete HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Delete Scheduled Flow

delete

Permanently deletes a specific scheduled flow run.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
scheduled_flowstringRequired

The scheduled flow identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/scheduled-flows/{scheduled_flow}
DELETE /api/v1/scheduled-flows/{scheduled_flow} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Last updated

Was this helpful?